/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: databaseType.proto

package databaseTypeService

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DatabaseTypeResponse_DatabaseType int32

const (
	DatabaseTypeResponse_ARANGODB DatabaseTypeResponse_DatabaseType = 0
	DatabaseTypeResponse_NEO4J    DatabaseTypeResponse_DatabaseType = 1
)

// Enum value maps for DatabaseTypeResponse_DatabaseType.
var (
	DatabaseTypeResponse_DatabaseType_name = map[int32]string{
		0: "ARANGODB",
		1: "NEO4J",
	}
	DatabaseTypeResponse_DatabaseType_value = map[string]int32{
		"ARANGODB": 0,
		"NEO4J":    1,
	}
)

func (x DatabaseTypeResponse_DatabaseType) Enum() *DatabaseTypeResponse_DatabaseType {
	p := new(DatabaseTypeResponse_DatabaseType)
	*p = x
	return p
}

func (x DatabaseTypeResponse_DatabaseType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DatabaseTypeResponse_DatabaseType) Descriptor() protoreflect.EnumDescriptor {
	return file_databaseType_proto_enumTypes[0].Descriptor()
}

func (DatabaseTypeResponse_DatabaseType) Type() protoreflect.EnumType {
	return &file_databaseType_proto_enumTypes[0]
}

func (x DatabaseTypeResponse_DatabaseType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DatabaseTypeResponse_DatabaseType.Descriptor instead.
func (DatabaseTypeResponse_DatabaseType) EnumDescriptor() ([]byte, []int) {
	return file_databaseType_proto_rawDescGZIP(), []int{1, 0}
}

type DatabaseTypeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ClientID     string `protobuf:"bytes,1,opt,name=clientID,proto3" json:"clientID,omitempty"`
	DatabaseName string `protobuf:"bytes,2,opt,name=databaseName,proto3" json:"databaseName,omitempty"`
}

func (x *DatabaseTypeRequest) Reset() {
	*x = DatabaseTypeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_databaseType_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DatabaseTypeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DatabaseTypeRequest) ProtoMessage() {}

func (x *DatabaseTypeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_databaseType_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DatabaseTypeRequest.ProtoReflect.Descriptor instead.
func (*DatabaseTypeRequest) Descriptor() ([]byte, []int) {
	return file_databaseType_proto_rawDescGZIP(), []int{0}
}

func (x *DatabaseTypeRequest) GetClientID() string {
	if x != nil {
		return x.ClientID
	}
	return ""
}

func (x *DatabaseTypeRequest) GetDatabaseName() string {
	if x != nil {
		return x.DatabaseName
	}
	return ""
}

type DatabaseTypeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Error        string                            `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	DatabaseType DatabaseTypeResponse_DatabaseType `protobuf:"varint,2,opt,name=databaseType,proto3,enum=DatabaseTypeResponse_DatabaseType" json:"databaseType,omitempty"`
}

func (x *DatabaseTypeResponse) Reset() {
	*x = DatabaseTypeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_databaseType_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DatabaseTypeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DatabaseTypeResponse) ProtoMessage() {}

func (x *DatabaseTypeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_databaseType_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DatabaseTypeResponse.ProtoReflect.Descriptor instead.
func (*DatabaseTypeResponse) Descriptor() ([]byte, []int) {
	return file_databaseType_proto_rawDescGZIP(), []int{1}
}

func (x *DatabaseTypeResponse) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *DatabaseTypeResponse) GetDatabaseType() DatabaseTypeResponse_DatabaseType {
	if x != nil {
		return x.DatabaseType
	}
	return DatabaseTypeResponse_ARANGODB
}

var File_databaseType_proto protoreflect.FileDescriptor

var file_databaseType_proto_rawDesc = []byte{
	0x0a, 0x12, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x55, 0x0a, 0x13, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x63,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x22, 0x0a, 0x0c, 0x64, 0x61, 0x74, 0x61, 0x62,
	0x61, 0x73, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64,
	0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0x9d, 0x01, 0x0a, 0x14,
	0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x46, 0x0a, 0x0c, 0x64, 0x61,
	0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x22, 0x2e, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x0c, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79,
	0x70, 0x65, 0x22, 0x27, 0x0a, 0x0c, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x0c, 0x0a, 0x08, 0x41, 0x52, 0x41, 0x4e, 0x47, 0x4f, 0x44, 0x42, 0x10, 0x00,
	0x12, 0x09, 0x0a, 0x05, 0x4e, 0x45, 0x4f, 0x34, 0x4a, 0x10, 0x01, 0x32, 0x57, 0x0a, 0x13, 0x44,
	0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x40, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73,
	0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x14, 0x2e, 0x44, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e, 0x44, 0x61,
	0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x42, 0x47, 0x5a, 0x45, 0x75, 0x73, 0x65, 0x72, 0x2d, 0x6d, 0x61, 0x6e,
	0x61, 0x67, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2f,
	0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x2f,
	0x72, 0x70, 0x63, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x2f, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61,
	0x73, 0x65, 0x54, 0x79, 0x70, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_databaseType_proto_rawDescOnce sync.Once
	file_databaseType_proto_rawDescData = file_databaseType_proto_rawDesc
)

func file_databaseType_proto_rawDescGZIP() []byte {
	file_databaseType_proto_rawDescOnce.Do(func() {
		file_databaseType_proto_rawDescData = protoimpl.X.CompressGZIP(file_databaseType_proto_rawDescData)
	})
	return file_databaseType_proto_rawDescData
}

var file_databaseType_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_databaseType_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_databaseType_proto_goTypes = []interface{}{
	(DatabaseTypeResponse_DatabaseType)(0), // 0: DatabaseTypeResponse.DatabaseType
	(*DatabaseTypeRequest)(nil),            // 1: DatabaseTypeRequest
	(*DatabaseTypeResponse)(nil),           // 2: DatabaseTypeResponse
}
var file_databaseType_proto_depIdxs = []int32{
	0, // 0: DatabaseTypeResponse.databaseType:type_name -> DatabaseTypeResponse.DatabaseType
	1, // 1: DatabaseTypeService.GetDatabaseType:input_type -> DatabaseTypeRequest
	2, // 2: DatabaseTypeService.GetDatabaseType:output_type -> DatabaseTypeResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_databaseType_proto_init() }
func file_databaseType_proto_init() {
	if File_databaseType_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_databaseType_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DatabaseTypeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_databaseType_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DatabaseTypeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_databaseType_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_databaseType_proto_goTypes,
		DependencyIndexes: file_databaseType_proto_depIdxs,
		EnumInfos:         file_databaseType_proto_enumTypes,
		MessageInfos:      file_databaseType_proto_msgTypes,
	}.Build()
	File_databaseType_proto = out.File
	file_databaseType_proto_rawDesc = nil
	file_databaseType_proto_goTypes = nil
	file_databaseType_proto_depIdxs = nil
}
